dnsdist (2.1.2-1) unstable; urgency=medium

  * New upstream version 2.1.2

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 08 Sep 2026 11:03:12 +0200

dnsdist (2.1.1-1) unstable; urgency=medium

  * New upstream version 2.1.1, fixing CVE-2026-52682

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 06 Aug 2026 17:44:48 +0200

dnsdist (2.1.0-2) unstable; urgency=medium

  * lintian: ignore embedded-library libyaml false-positive
  * Bump Standards-Version
  * Use debhelper-compat v14

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 05 Jul 2026 14:32:25 +0200

dnsdist (2.1.0-1) unstable; urgency=medium

  * New upstream version 2.1.0
  * Rebase patches

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 02 Jul 2026 15:17:08 +0200

dnsdist (2.0.6-1) unstable; urgency=medium

  * New upstream version 2.0.6

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 26 Jun 2026 18:54:42 +0200

dnsdist (2.0.5-3) unstable; urgency=medium

  [ Luca Boccassi ]
  * Install and use sysusers.d/tmpfiles.d config files

  [ Chris Hofstaedtler ]
  * d/watch: reformat
  * Build-Depend: architecture-is-64-bit to avoid broken 32bit builds

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 21 Jun 2026 11:27:06 +0200

dnsdist (2.0.5-2) unstable; urgency=medium

  * Setup branches for multiple debian releases
  * Remove obsolete override_dh_gencontrol
  * Build-Depend on individual boost libraries.
    In a discussion with upstream we discovered that libboost-all-dev pulls
    in openmpi, gfortran, et al. This chain can sometimes pull in a
    different gcc than the default, leading to interesting build failures
    when combined with rust staticlibs.
    We need libboost-container-dev to avoid a quirk in meson, see
    https://github.com/mesonbuild/meson/issues/15858.
  * Enable LTO.
    Needs clang/lld so we can link Rust and C++ with LTO. Import this
    approach from Upstream, but add RUSTFLAGS and adapt for our Debian
    crate-using build.
  * Always build with luajit, available on all release archs.
  * d/watch: update to version 5

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 30 May 2026 01:01:02 +0200

dnsdist (2.0.5-1) unstable; urgency=medium

  * New upstream version 2.0.5, fixing a regression introduced
    in 2.0.4.

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 23 Apr 2026 12:37:08 +0200

dnsdist (2.0.4-1) unstable; urgency=medium

  * New upstream version 2.0.4, fixing security issues:
    CVE-2026-33254, CVE-2026-33257, CVE-2026-33260, CVE-2026-33593,
    CVE-2026-33594, CVE-2026-33595, CVE-2026-33596, CVE-2026-33597,
    CVE-2026-33598, CVE-2026-33599, CVE-2026-33602

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 22 Apr 2026 14:54:10 +0200

dnsdist (2.0.3-1) unstable; urgency=medium

  * Drop upstream signing keys due to SHA1 usage
  * New upstream version 2.0.3, fixing security issues:
    CVE-2026-0396, CVE-2026-0397, CVE-2026-24028, CVE-2026-24029,
    CVE-2026-24030, CVE-2026-27853, CVE-2026-27854

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 31 Mar 2026 14:39:16 +0200

dnsdist (2.0.2-1) unstable; urgency=medium

  * Add Recommends: ca-certificates so DoT can perform cert validation
  * Add X-Style: black
  * Build with GnuTLS again
  * New upstream version 2.0.2
  * Fix build with protobuf enabled

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 02 Dec 2025 16:12:17 +0100

dnsdist (2.0.1-1) unstable; urgency=medium

  * New upstream version 2.0.1, includes fix for CVE-2025-30187
    Closes: #1115643
  * Drop upstream-applied patch

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 22 Sep 2025 17:35:43 +0200

dnsdist (2.0.0-6) unstable; urgency=medium

  * d/copyright: Remove old FSF address

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 07 Sep 2025 13:17:29 +0200

dnsdist (2.0.0-5) unstable; urgency=medium

  [ Fabian Grünbichler ]
  * d/rules: drop CARGO_REGISTRY, improves Static-Built-Using

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 06 Sep 2025 17:10:24 +0200

dnsdist (2.0.0-4) unstable; urgency=medium

  * d/rules: fix DEB_VERSION/DEB_VENDOR being empty

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 02 Sep 2025 23:14:19 +0200

dnsdist (2.0.0-3) unstable; urgency=medium

  * Upload to unstable

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 12 Aug 2025 10:52:18 +0200

dnsdist (2.0.0-2) experimental; urgency=medium

  * Fix Build-Depends on systemd-dev
  * Use meson to build, instead of autotools

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 31 Jul 2025 00:52:27 +0200

dnsdist (2.0.0-1) experimental; urgency=medium

  * New upstream version 2.0.0

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 21 Jul 2025 20:28:28 +0200

dnsdist (2.0.0~rc2-1) experimental; urgency=medium

  * New upstream version 2.0.0~rc2
  * d/watch: update tarball suffix
  * d/rules: disable dh_dwz as it breaks
  * Drop upstream applied patch
  * d/control: add Built-Using, Static-Built-Using

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 20 Jul 2025 12:17:04 +0200

dnsdist (2.0.0~rc1-2) experimental; urgency=medium

  * Drop accidental B-D: architecture-is-64-bit

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 12 Jul 2025 21:00:44 +0200

dnsdist (2.0.0~rc1-1) experimental; urgency=medium

  * New upstream version 2.0.0~rc1
  * Simplify Build-Depends already satisfied in stable
  * Use lua5.3 on non-luajit archs, mirroring upstream
  * Build-Depend: python3-yaml, necessary now
  * Build with rust, enable yaml config
  * Remove libh2o leftovers

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 12 Jul 2025 15:50:09 +0200

dnsdist (1.9.10-1) unstable; urgency=medium

  * New upstream version 1.9.10 including fix for CVE-2025-30193
    (Closes: #1106207)

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 21 May 2025 10:30:17 +0200

dnsdist (1.9.9-1) unstable; urgency=medium

  * New upstream version 1.9.9 including fix for CVE-2025-30194

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 29 Apr 2025 14:27:45 +0200

dnsdist (1.9.8-1) unstable; urgency=medium

  * New upstream version 1.9.8

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 17 Dec 2024 19:44:04 +0100

dnsdist (1.9.6-1) unstable; urgency=medium

  * New upstream version 1.9.6

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 27 Jul 2024 17:01:22 +0200

dnsdist (1.9.5-1) unstable; urgency=medium

  * New upstream version 1.9.5
  * Drop upstream applied patches

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 24 Jun 2024 23:44:20 +0200

dnsdist (1.9.4-1) unstable; urgency=medium

  * New upstream version 1.9.4, fixes CVE-2024-25581 (Closes: #1071750)
  * Enable AF_XDP support
  * Stop using (vendored) libh2o
  * Fix systemd version detection when version is 256~rc3

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 25 May 2024 17:12:11 +0200

dnsdist (1.9.3-1) unstable; urgency=medium

  * New upstream version 1.9.3

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 05 Apr 2024 14:21:50 +0200

dnsdist (1.8.3-3) unstable; urgency=medium

  * Reenable build on 32bit archs, supporting time_t-64bit
  * d/rules: tidy up
  * vendor-h2o: drop $Id$ marker

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 02 Apr 2024 11:07:14 +0200

dnsdist (1.8.3-2) unstable; urgency=medium

  * Add Build-Depends: systemd-dev (Closes: #1060612)
    Need systemd.pc to be available in addition to the rest (headers, libs,
    systemctl).

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 12 Jan 2024 12:46:36 +0100

dnsdist (1.8.3-1) unstable; urgency=medium

  * New upstream version 1.8.3

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 15 Dec 2023 14:42:53 +0100

dnsdist (1.8.2-3) unstable; urgency=medium

  * Stop installing unwanted dnsdist.conf-dist by accident

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 16 Nov 2023 13:52:58 +0100

dnsdist (1.8.2-2) unstable; urgency=medium

  * Vendor copy of libh2o 2.2.6 with powerdns patches for CVE-2023-44487
  * Build with vendorized libh2o

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 10 Nov 2023 18:35:14 +0100

dnsdist (1.8.2-1) unstable; urgency=medium

  * New upstream version 1.8.2
  * Switch from pkg-config to pkgconf
  * Automatically discover systemdsystemunitdir

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 21 Oct 2023 17:12:34 +0200

dnsdist (1.8.1-1) unstable; urgency=medium

  * New upstream version 1.8.1
  * Apply wrap-and-sort -kas
  * Update Vcs-* headers for move to debian namespace
  * Update lintian overrides

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 09 Sep 2023 11:32:56 +0200

dnsdist (1.8.0-1) unstable; urgency=medium

  * New upstream version 1.8.0 (Closes: #1037620)

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 15 Jun 2023 17:04:13 +0200

dnsdist (1.7.3-2) unstable; urgency=medium

  [ Manuel A. Fernandez Montecelo ]
  * Add support for riscv64 arch (Closes: #1025081)

  [ Chris Hofstaedtler ]
  * Build-Depend: architecture-is-64-bit instead of hardcoded arch list

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 20 Dec 2022 07:49:05 +0000

dnsdist (1.7.3-1) unstable; urgency=medium

  * New upstream version 1.7.3

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 01 Nov 2022 22:35:46 +0000

dnsdist (1.7.2-2) unstable; urgency=medium

  * Set explicit architecture list.
    A better solution than an explicit arch list or letting builds fail on
    each upload would be very welcome.
  * Use luajit on arm64

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 01 Nov 2022 16:34:49 +0000

dnsdist (1.7.2-1) unstable; urgency=medium

  * New upstream version 1.7.2

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 15 Jun 2022 14:04:47 +0000

dnsdist (1.7.1-1) unstable; urgency=medium

  * New upstream version 1.7.1

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 27 Apr 2022 07:17:37 +0000

dnsdist (1.7.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Update watch file format version to 4.
  * Remove unused license definitions for Unlicense.

  [ Chris Hofstaedtler ]
  * New upstream version 1.7.0
  * Build with nghttp2

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 23 Jan 2022 15:15:34 +0000

dnsdist (1.6.1-1) unstable; urgency=medium

  * New upstream version 1.6.1
  * Update debian/copyright, other metadata

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 19 Sep 2021 14:56:40 +0000

dnsdist (1.6.0-2) unstable; urgency=medium

  * Upload to unstable.
  * Disable tests, as they require a working IPv4 network stack
  * Note: upstream dropped support for archs with 32bit time_t values
    in 1.6.0.

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 20 Aug 2021 16:38:14 +0000

dnsdist (1.6.0-1) experimental; urgency=medium

  * New upstream version 1.6.0
    * Remove upstream applied patches
  * configure: explicitly pass --with-lmdb

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 13 May 2021 09:59:55 +0000

dnsdist (1.5.1-3) unstable; urgency=medium

  * Disable GnuTLS, one crypto lib is enough

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 18 Dec 2020 14:12:25 +0000

dnsdist (1.5.1-2) unstable; urgency=medium

  * Simplify build rules
  * Bump Standards-Version to 4.5.1
  * Build with luajit on amd64, and Lua 5.1 on other archs.
    Once #908137 is fixed, we should enable luajit on arm64 too.
    Unfortunately we were building with Lua 5.3 earlier, so this
    is a feature "regression" of sorts - but it can be much faster.
  * Add upstream patch fixing an eBPF long qname issue

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 17 Dec 2020 22:20:04 +0000

dnsdist (1.5.1-1) unstable; urgency=medium

  * New upstream version 1.5.1

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 01 Oct 2020 13:06:31 +0000

dnsdist (1.5.0-1) unstable; urgency=medium

  * New upstream version 1.5.0
  * Update ownership rules for /etc/dnsdist/dnsdist.conf
  * Update Standards-Version to 4.5.0, dh compat to 13

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 30 Jul 2020 22:49:16 +0000

dnsdist (1.4.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.

  [ Chris Hofstaedtler ]
  * Add upstream patch to fix FTBFS with gcc 10 (Closes: #957145)
  * d/copyright: rename GPL-3-or-Autoconf license paragraph

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 22 Jul 2020 21:50:19 +0000

dnsdist (1.4.0-1) unstable; urgency=medium

  * New upstream version 1.4.0

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 20 Nov 2019 17:47:14 +0000

dnsdist (1.4.0~rc5-1) unstable; urgency=medium

  * New upstream version 1.4.0~rc5
  * Bump Standards-Version to 4.4.1

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 05 Nov 2019 19:43:53 +0000

dnsdist (1.4.0~rc3-1) unstable; urgency=medium

  * New upstream version 1.4.0~rc3

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 01 Oct 2019 12:02:39 +0000

dnsdist (1.4.0~rc2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Re-export upstream signing key without extra signatures.
  * Set fields Upstream-Contact in debian/copyright.
  * Remove obsolete fields Name, Contact from debian/upstream/metadata.

  [ Chris Hofstaedtler ]
  * New upstream version 1.4.0~rc2
    Build with CDB and LMDB for new features.

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 02 Sep 2019 19:39:24 +0000

dnsdist (1.4.0~rc1-1) unstable; urgency=medium

  * New upstream version 1.4.0~rc1

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 30 Aug 2019 11:11:52 +0000

dnsdist (1.4.0~beta1-3) unstable; urgency=medium

  * d/rules: remove harmless extra argument to dh_auto_configure
  * Update init script.
    Thanks to Jens Meißner <heptalium@gmx.de> (Closes: #934162)

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 07 Aug 2019 22:38:35 +0000

dnsdist (1.4.0~beta1-2) unstable; urgency=medium

  * Build with libcap
  * d/control, d/rules: clean up and sync with pdns(-recursor)
  * Enable DNS-over-HTTPS support
  * Reenable RE2
  * Filter net-snmp-config flags, see #870734
  * Ship sysvinit script (Closes: #832136)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 21 Jul 2019 20:04:10 +0000

dnsdist (1.4.0~beta1-1) unstable; urgency=medium

  * New upstream version 1.4.0~beta1
  * Build-Depend on systemd for proper version detection
  * Bump Standards-Version to 4.4.0
  * Use debhelper-compat v12
  * Ship DEP12 UpstreamMetadata per user request
  * d/copyright: Update
  * d/control: Set Rules-Requires-Root: no
  * d/rules: use variables from pkg-info.mk
  * d/rules: stop removing RestrictAddressFamilies from systemd service file
  * d/rules: fix trailing whitespace
  * Install SNMP MIB

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 21 Jul 2019 15:18:15 +0000

dnsdist (1.3.3-3) unstable; urgency=medium

  * Enable SNMP support

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 12 Feb 2019 08:54:00 +0000

dnsdist (1.3.3-2) unstable; urgency=medium

  * Set secpoll suffix and add default config file to turn it off

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 10 Nov 2018 14:49:21 +0000

dnsdist (1.3.3-1) unstable; urgency=medium

  * New upstream version 1.3.3, including fix for CVE-2018-14663
    (Closes: #913231).

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 09 Nov 2018 19:34:32 +0000

dnsdist (1.3.2-1) unstable; urgency=medium

  * New upstream version 1.3.2
  * Bump Standards-Version to 4.1.5
  * Drop upstream applied patches

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 23 Jul 2018 07:16:30 +0000

dnsdist (1.3.0-4) unstable; urgency=medium

  * Update test-dnsdistrings patch to avoid further s390x failure

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 03 Apr 2018 11:40:14 +0000

dnsdist (1.3.0-3) unstable; urgency=medium

  * Avoid hard test failure for a soft condition

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 03 Apr 2018 07:57:07 +0000

dnsdist (1.3.0-2) unstable; urgency=medium

  * Add patch from upstream to fix test/build failure

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 30 Mar 2018 11:49:47 +0000

dnsdist (1.3.0-1) unstable; urgency=medium

  * New upstream version 1.3.0
  * Enable DNS-over-TLS and libfstrm.

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 30 Mar 2018 08:45:33 +0000

dnsdist (1.2.1-1) unstable; urgency=medium

  * New upstream version 1.2.1
  * Avoid debian-rules-is-dh_make-template lintian error

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 16 Feb 2018 10:41:23 +0000

dnsdist (1.2.0-3) unstable; urgency=medium

  * Enable tests at build time

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 19 Jan 2018 21:58:27 +0000

dnsdist (1.2.0-2) unstable; urgency=medium

  * Update Maintainer: as alioth is going away
  * Update Vcs-* URLs to point to salsa.debian.org
  * Bump Standards-Version to 4.1.3 (no changes)

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 18 Jan 2018 20:30:13 +0000

dnsdist (1.2.0-1) unstable; urgency=medium

  * New upstream version 1.2.0, fixes CVE-2016-7069, CVE-2017-7557.
    (Closes: #872854)
  * Install config example
  * Remove now-default options to dh
  * Force rebuild of dnslabeltext.cc
  * Update debian/copyright
  * Bump Standards-Version to 4.1.0

 -- Christian Hofstaedtler <zeha@debian.org>  Tue, 22 Aug 2017 09:47:47 +0000

dnsdist (1.1.0-2) unstable; urgency=medium

  * Bump debhelper compat to 10 for systemd support.
  * Drop our outdated copy of dnsdist.service, instead patch the
    upstream supplied one at install time to keep -u, -g.
  * Drop RestrictAddressFamilies from .service file on 32bit.
    This feature is broken in systemd before v233. (See also #849817)

 -- Christian Hofstaedtler <zeha@debian.org>  Sat, 31 Dec 2016 15:50:47 +0000

dnsdist (1.1.0-1) unstable; urgency=medium

  * New upstream version 1.1.0, upload to unstable.

 -- Christian Hofstaedtler <zeha@debian.org>  Thu, 29 Dec 2016 15:52:06 +0000

dnsdist (1.1.0~beta2-2) experimental; urgency=medium

  * Build with LDFLAGS=-latomic to fix FTBFS on powerpc

 -- Christian Hofstaedtler <zeha@debian.org>  Sun, 18 Dec 2016 14:11:59 +0000

dnsdist (1.1.0~beta2-1) experimental; urgency=medium

  * New upstream (beta) release, target experimental.
  * Enable protobuf, re2, systemd integration features.

 -- Christian Hofstaedtler <zeha@debian.org>  Sat, 17 Dec 2016 19:42:08 +0000

dnsdist (1.0.0-2) unstable; urgency=medium

  * Move package to pkg-dns team.
  * Bump Standards-Version to 3.9.8.
  * Enable extra hardening features for daemons.
  * Sort included html files to improve reproducibility.

 -- Christian Hofstaedtler <zeha@debian.org>  Sun, 03 Jul 2016 13:40:56 +0200

dnsdist (1.0.0-1) unstable; urgency=medium

  * New upstream version.
  * debian/watch: fix versionmangle substiution confusion

 -- Christian Hofstaedtler <zeha@debian.org>  Thu, 21 Apr 2016 13:45:37 +0000

dnsdist (1.0.0~beta1-1) unstable; urgency=medium

  * New upstream version.
  * Use https site in debian/watch.

 -- Christian Hofstaedtler <zeha@debian.org>  Fri, 15 Apr 2016 16:17:47 +0000

dnsdist (1.0.0~alpha2-2) unstable; urgency=medium

  * Update Standards-Version to 3.9.7 with no other changes
  * Add debian/watch file

 -- Christian Hofstaedtler <zeha@debian.org>  Wed, 24 Feb 2016 22:57:52 +0000

dnsdist (1.0.0~alpha2-1) unstable; urgency=medium

  * Initial release. (Closes: #813823)

 -- Christian Hofstaedtler <zeha@debian.org>  Sat, 13 Feb 2016 01:43:50 +0000
